#!BuildIgnore:          post-build-checks
Name:		nagios-plugins
Version:	1.4.16
Release:	40.1
Summary:	Host/service/network monitoring program plugins for Nagios

Group:		Applications/System
License:	GPL
URL:		http://nagiosplug.sourceforge.net/
Source0:	http://dl.sf.net/sourceforge/nagiosplug/%{name}-%{version}.tar.bz2
Source1:	%{name}-rpmlintrc
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Prefix: %{_prefix}/lib/nagios/plugins
PreReq:	sed

%{!?custom:%global custom 0}
Obsoletes: nagios-plugins-custom nagios-plugins-extras
Provides:  nagios-plugins-custom nagios-plugins-extras

# Requires
%if 0%{?sles_version} > 0
BuildRequires:	mysql-client
%endif

%if 0%{?suse_version} == 1030
BuildRequires: freeradius-client freeradius-client-devel
%endif

%if 0%{?suse_version}
BuildRequires:	tcpd-devel libsmbclient libsmbclient-devel openldap2-devel perl-Net-SNMP fping glibc bind-utils
%endif

%if 0%{?fedora_version} || 0%{?centos_version} || 0%{?rhel_version} || 0%{?redhat_version} || 0%{?sl_version}
BuildRequires:  tcp_wrappers openldap-devel freeradius samba-common openldap-devel net-snmp-perl glibc-common
%endif

BuildRequires: openssl-devel postgresql-devel Percona-Server-devel-51 Percona-Server-shared-51 zlib-devel glibc-devel libgcc gcc gcc-c++ net-snmp net-snmp-devel openssh qstat iputils samba-client procps
Requires: qstat iputils
%if 0%{?fedora_version} || 0%{?centos_version} || 0%{?rhel_version} || 0%{?redhat_version} || 0%{?sl_version}
Requires: /usr/bin/smbclient
%else
Requires: samba-client
%endif

%description
Nagios is a program that will monitor hosts and services on your
network, and to email or page you when a problem arises or is
resolved. Nagios runs on a unix server as a background or daemon
process, intermittently running checks on various services that you
specify. The actual service checks are performed by separate "plugin"
programs which return the status of the checks to Nagios. This package
contains those plugins.


%prep
%setup -q

%build
./configure \
--prefix=%{_prefix} \
--exec-prefix=%{_prefix} \
--libexecdir=%{_prefix}/lib/nagios/plugins \
--sysconfdir=%{_sysconfdir}/nagios \
--datadir=%{_datadir} \
--with-ping6-command="/bin/ping6 -n -U -w %d -c %d %s" \
--with-ipv6 \
--with-cgiurl=/nagios/cgi-bin \
--with-rpcinfo-command=%{_sbindir}/rpcinfo \
--with-mailq-command=%{_bindir}/mailq \
--with-qstat-command=/var/qmail/bin/qmail-qstat
%__make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%__make AM_INSTALL_PROGRAM_FLAGS="" DESTDIR=${RPM_BUILD_ROOT} install-strip
%__make AM_INSTALL_PROGRAM_FLAGS="" DESTDIR=${RPM_BUILD_ROOT} install-root
%__install -d ${RPM_BUILD_ROOT}/etc/nagios
%__install -m 664 command.cfg ${RPM_BUILD_ROOT}/etc/nagios
%find_lang %{name}
# fix lib path in perl plugins
cd ${RPM_BUILD_ROOT}%{_prefix}/lib/nagios/plugins
# not needed since 1.4.14
#for PLUGIN in check_breeze check_disk_smb check_file_age check_flexlm check_ifoperstatus check_ifstatus check_ircd check_mailq check_rpc check_wave ; do
# sed -i s@"nagios/plugins"@"%{_prefix}/lib/nagios/plugins"@g ${PLUGIN} 
#done

%clean
rm -rf $RPM_BUILD_ROOT

%post
chmod 4711 %{_exec_prefix}/lib/nagios/plugins/check_icmp || :
chmod 4711 %{_exec_prefix}/lib/nagios/plugins/check_dhcp || :

%files -f %{name}.lang
%defattr(-,root,root)
%config(missingok,noreplace) /etc/nagios/command.cfg
%doc CODING COPYING FAQ LEGAL README REQUIREMENTS SUPPORT THANKS
%doc ChangeLog command.cfg
%defattr(775,root,root)
%dir %{_exec_prefix}/lib/nagios/plugins
%{_datadir}/locale/de/LC_MESSAGES/nagios-plugins.mo
%{_datadir}/locale/fr/LC_MESSAGES/nagios-plugins.mo
%{_exec_prefix}/lib/nagios/plugins

%changelog
* Fri Nov 16 2012 Carsten Schonee <cs@linux-administrator.com> - 1.4.16-30
- requires /usr/bin/smbclient on EL instead of samba-client

* Tue Oct 02 2012 Carsten Schoene <cs@linux-administrator.com> - 1.4.16-29
- update to upstream release 1.4.16

* Thu Jun 30 2011 Carsten Schoene <cs@linux-administrator.com> - 1.4.15-28
- added macros for rhel, redhat, scientific in BuildRequires

* Sat Feb 05 2011 Carsten Schoene <cs@linux-administrator.com> - 1.4.15-27
- build with --with-ipv6

* Thu Sep 09 2010 Carsten Schoene <cs@linux-administrator.com> - 1.4.15-26
- update to release 1.4.15

* Mon May 03 2010 Carsten Schoene <cs@linux-administrator.com> - 1.4.14-25
- fix path to utils.pm in perl based plugins
 
* Mon Apr 12 2010 Carsten Schoene <cs@linux-administrator.com> - 1.4.14-15
- changes in version 1.4.14 include:
 - check_http has options to specify the HTTP method (#2155152)
 - check_users thresholds were not working exactly as documented (>= rather than >)

* Thu Sep 25 2008 Carsten Schoene <cs@linux-administrator.com> - 1.4.13
- changes in version 1.4.13 include:
 - Fix Debian bug #460097: check_http --max-age broken (Hilko Bengen) 
 - Optimised pst3 for systems with large number of processes (Duncan Ferguson) 
 - Updated Nagios::Plugin to 0.27 
 - Fix Debian bug #479013: check_dig's -l is mandatory now (sf.net #1986306) 
 - check_dig now returns CRITICAL instead of WARNING when no answer section is found 
 - check_procs now captures stderr in external command and adds to plugin output 
 - check_snmp now only prints perfdata for non numeric values (#1867716) 
 - check_icmp now supports packet size modification 
 - check_http -e now accepts a comma-delimited list of expected status codes (Sven Nierlein) 
 - libtap now included with this distribution for easier testing. Run ./configure with --enable-libtap 
 - check_ntp_peer/check_ntp_time used to show port in --help but ignored the argument - now implemented 
 - Fix possible segfault in check_ntp_peer with deliberately invalid packets 

* Wed May 28 2008 Carsten Schoene <cs@linux-administrator.com>
- changes in version 1.4.12 include:
 - Added ./check_nt -v INSTANCES to count number of instances (Alessandro Ren) 
 - New check_icmp -s option to specify the source IP address 
 - check_dns now sorts addresses for testing results for more than one returned IP (Matthias Urlichs) 
 - Fix segfault in check_ntp_time and (deprecated) check_ntp (Bug #1862300) 
 - check_disk should now work with large file systems (2TB+) on all archs that supports it 
 - Fixed check_disk disk usage calculation when using --group=NAME (related to bug #1348746) 
 - Fix help text of check_ntp* (Bug #1880095) 
 - Fix bugs and flaws in best offset server selection of check_ntp_time and (deprecated) check_ntp 
 - check_ntp_peer now checks for the LI_ALARM flag 
 - Sync to latest Gnulib (includes new floorf function) 
 - check_pgsql now successfully builds with postgres lib v8.3 (Bug #1878972) 
 - check_procs now accepts --ereg-argument-array for a regular expression match to the argument array 
 - Reverted back to using pst3 for Solaris systems. Fixed issues re: -m64 needed to compile on 64bit systems 
 - If applicable, Gettext linked dynamically instead of statically 
 - check_dig can now pass arguments to dig by using -A/--dig-arguments (#1874041/#1889453) 
 - check_ntp and check_ntp_peer now show proper jitter/stratum thresholds longopts in --help 
 - check_dns now allow to repeat -a to match multiple possibly returned address (common with load balancers) 
 - check_mysql and check_radius now try clearing password in processlist just like check_mysql_query 
 - check_mysql and check_mysql_query now support sockets explicitely (-s, --socket) 
 - negate now has the ability to replace the status text as well (-s, --substitute) 
 - Added performance data to check_ping (Christian Schneemann) 
 - Added support for --extra-opts in all C plugins (disabled by default, see configure --help) 
 - Updated Nagios::Plugin to 0.27 
 - Fixed passive option in check_by_ssh 
 - On non-skipped stderr, check_by_ssh now returns UNKNOWN or worse (result from command) instead of always UNKNOWN. 
 - Fix linking against OpenSSL where libdl is required 

* Thu Dec 20 2007 Carsten Schoene <cs@linux-administrator.com>
- changes in version 1.4.11 include:
 - Fixed check_http regression in 1.4.10 where following redirects to 
 - relative URLs on virtual hosts failed if both "-H" and "-I" were used 
 - Merged two new checks that deprecates check_ntp: check_ntp_peer and check_ntp_time. 
 - You should read the --help output so see which one is suitable for you. check_ntp_peer 
 - implement stratum thresholds support (feature request #1703823). 
 - check_ntp now returns UNKNOWN instead of WARNING if jitter is unavailable (jitter=-1.000000) 
 - as long as the thresholds range include -1. If no offset threshold is specified 
   and the offset is unavailable, will return UNKNOWN as well. 
 - Fixed broken usage2 in check_snmp and check_cluster 
 - check_cluster now accepts all valid characters in its thresholds ("-", "@", "~") 
 - Fixed check_disk reporting OK if disk usage grows over 100% (bug #1348746). 
 - Fixed check_load argument handling when not passing triplets (bug #1831890) 
 - Fixed buffer overflow in check_snmp (CVE-2007-5623) 
 - Tinderbox builds now runs tests in a verbose mode 
 - Updated Nagios::Plugin to 0.22 
 - VPATH problem fixed for compiling plugins-root 

* Sat Sep 29 2007 Carsten Schoene <cs@linux-administrator.com>
- changes in version 1.4.10 include:
 - Fix check_http buffer overflow vulnerability when following HTTP redirects
 - check_http now explicitly asks HTTP/1.1 servers to close the connection after completion of the response
 - check_ldaps' guessing which secure method to use (starttls vs. ssl on connect) is now deprecated. See --help for further information
 - check_disk now calls stat() on all filesystems to check. (Old: only the ones selected using -p)
 - A meaningful error message (eg "Stale NFS Handle") is printed if stat fails.
 - New check_disk option -L: Only check local filesystems, but call stat() on remote ones, too.
 - Thus accessibility of remote filesystems can be checked without any threshold comparison.
 - check_disk --help now prints some examples for the new features introduced in 1.4.8
 - New check_disk -i/-I option to ignore pathes/partitions based on regular expressions
 - New check_disk -A option to select all filesystems explicitly
 - WARNING: check_disk's -E option must now be passed before -p or -r/-R arguments. Passing -E after -p or -r results in UNKNOWN state, now. This is needed due to the new ignore feature
 - Fix check_disk bug when mixing case sensitive and case insensitive regex arguments
 - New check_dhcp -u/--unicast option for emulating a DHCP relay in order to check DHCP servers on remote networks
 - New check_dhcp -m/--mac option which allows for specifying the MAC address to use in the DHCP request
 - The check_dhcp -r and -s options now accept host names, too
 - Fix possible check_icmp bus errors on some (non-x86/AMD64) platforms
 - Fix check_smtp's handling of multiple-packet server responses
 - WARNING: Fix for negate which may break existing commands:
  - stop evaluating command line options through shell twice
  - enforce a full path for the command to run
 - The "negate" utility can now remap custom states
 - check_radius now supports radiusclient-ng
 - The (undocumented) positional parameter parsing which check_radius used instead of getopt(3) if 8 arguments were given is no longer available
 - check_by_ssh now supports multiline output
 - IPv6 support can now be disabled using ./configure --without-ipv6
 - Fix check_ntp now honor ntp flags

* Fri Jun 15 2007 Carsten Schoene <cs@linux-administrator.com>
- changes in version 1.4.9 include:
 - Inclusion of contrib/check_cluster2 as check_cluster with some improvements
 - New/improved -E/--skip-stderr and -S/--skip-stdout options for check_by_ssh
 - check_snmp now supports Counter64
 - Fix compilation of check_ldap, check_radius and check_pgsql
 - check_load can optionally divide by number of cpus
 - Fix check_time returning wrong OK when time is before the epoch on some arch
 - Make check_http output more consistent
 - Fix possible check_http segfaults when following HTTP redirects
 - check_snmp don't warn anymore if something is printed on stderr
 - Fix check_tcp segfault when multiple expect strings are given
 - New option for check_tcp: -A/--all to test if all given expect strings match

* Thu Nov 23 2006 Carsten Schoene <cs@linux-administrator.com>
- ported this spec to SuSE 10.1

* Mon May 23 2005 Sean Finney <seanius@seanius.net> - cvs head
- just include the nagios plugins directory, which will automatically include
  all generated plugins (which keeps the build from failing on systems that
  don't have all build-dependencies for every plugin)
* Tue Mar 04 2004 Karl DeBisschop <karl[AT]debisschop.net> - 1.4.0alpha1
- extensive rewrite to facilitate processing into various distro-compatible specs
* Tue Mar 04 2004 Karl DeBisschop <karl[AT]debisschop.net> - 1.4.0alpha1
- extensive rewrite to facilitate processing into various distro-compatible specs
